Subject: Re: linux-next: build failure after merge of the rdma tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 17 Jul 2019 09:28:01 +1000

Hi,

On Wed, 10 Jul 2019 14:30:36 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> On Wed, 10 Jul 2019 11:04:43 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Tue, 9 Jul 2019 12:46:34 +0000 Jason Gunthorpe <[email-masked]> wrote:  
> > >
> > > It isn't quite enough to make the header compile stand alone, I'm
> > > adding this instead.
> > > 
> > > From 37c1e072276b03b080eb24ff24c39080aeaf49ef Mon Sep 17 00:00:00 2001
> > > From: Jason Gunthorpe <[email-masked]>
> > > Date: Tue, 9 Jul 2019 09:44:47 -0300
> > > Subject: [PATCH] RDMA/counters: Make rdma_counter.h compile stand alone    
> > 
> > I will apply this to linux-next today and reenable the stand alone
> > building for rdma_counter.h  
> 
> That worked for me ...

rdma_counter.h should be able to be removed from the exceptions list now.

I have been building linux-next with this patch for a while, so maybe
it could be applied to the kbuild tree?

From: Stephen Rothwell <[email-masked]>
Date: Wed, 10 Jul 2019 13:03:16 +1000
Subject: [PATCH] rdma: attempt to build rdma_counter.h stand alone again

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 include/Kbuild | 1 -
 1 file changed, 1 deletion(-)

diff --git a/include/Kbuild b/include/Kbuild
index 7e9f1acb9dd5..765ff864130d 100644
--- a/include/Kbuild
+++ b/include/Kbuild
@@ -949,7 +949,6 @@ header-test-			+= pcmcia/ds.h
 header-test-			+= rdma/ib.h
 header-test-			+= rdma/iw_portmap.h
 header-test-			+= rdma/opa_port_info.h
-header-test-			+= rdma/rdma_counter.h
 header-test-			+= rdma/rdmavt_cq.h
 header-test-			+= rdma/restrack.h
 header-test-			+= rdma/signature.h
-- 
2.20.1

-- 
Cheers,
Stephen Rothwell